
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set("sot-tiago_DOXYGENDOCDIR" "${PACKAGE_PREFIX_DIR}/share/doc/sot-tiago/doxygen-html")
set("SOT_TIAGO_DOXYGENDOCDIR" "${PACKAGE_PREFIX_DIR}/share/doc/sot-tiago/doxygen-html")
set("sot-tiago_DEPENDENCIES" "sot-dynamic-pinocchio;dynamic-graph-python;dynamic_graph_bridge;tiago_data")
set("sot-tiago_PKG_CONFIG_DEPENDENCIES" "sot-dynamic-pinocchio; eigen3; eigen3 >= 3.0.5; urdfdom >= 0.2.0; hpp-fcl >= 1.4.0; dynamic-graph;  eigen3;  pinocchio;  eigen3 >= 3.0.5;  urdfdom >= 0.2.0;  hpp-fcl >= 1.4.0; sot-core;  eigen3;  eigen3 >= 3.0.5;  urdfdom >= 0.2.0;  hpp-fcl >= 1.4.0;  dynamic-graph;   eigen3;   pinocchio;   eigen3 >= 3.0.5;   urdfdom >= 0.2.0;   hpp-fcl >= 1.4.0; sot-tools; eigen3; eigen3 >= 3.0.5; urdfdom >= 0.2.0; hpp-fcl >= 1.4.0; dynamic-graph; pinocchio; sot-core; dynamic-graph-python; eigen3; dynamic-graph;  eigen3; dynamic_graph_bridge; eigen3; dynamic-graph;  eigen3; eigen3; eigen3 >= 3.0.5; urdfdom >= 0.2.0; hpp-fcl >= 1.4.0; dynamic-graph;  eigen3;  pinocchio;  eigen3 >= 3.0.5;  urdfdom >= 0.2.0;  hpp-fcl >= 1.4.0; dynamic-graph-python; eigen3; dynamic-graph; sot-core; eigen3 >= 3.0.5; urdfdom >= 0.2.0; hpp-fcl >= 1.4.0; pinocchio; dynamic_graph_bridge_msgs; dynamic_graph_bridge_msgs")

include(CMakeFindDependencyMacro)
find_package(sot-dynamic-pinocchio REQUIRED)
find_package(dynamic-graph-python REQUIRED)
find_package(dynamic_graph_bridge REQUIRED)
find_package(tiago_data)

IF(COMMAND ADD_REQUIRED_DEPENDENCY)
  FOREACH(pkgcfg_dep ${sot-tiago_PKG_CONFIG_DEPENDENCIES})
    ADD_REQUIRED_DEPENDENCY(${pkgcfg_dep})
  ENDFOREACH()
ENDIF(COMMAND ADD_REQUIRED_DEPENDENCY)

include("${CMAKE_CURRENT_LIST_DIR}/sot-tiagoTargets.cmake")
check_required_components("sot-tiago")


